org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure

## Class PDUserAttributeObject

- java.lang.Object
- - org.apache.pdfbox.pdmodel.common.PDDictionaryWrapper
  - - org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure.PDAttributeObject
    - - org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure.PDUserAttributeObject

All Implemented Interfaces:
  COSObjectable

    public class PDUserAttributeObject
    extends PDAttributeObject

A User attribute object.

Author:
  Johannes Koch

### Field Summary

Fields
`static String` `OWNER_USER_PROPERTIES` Attribute owner for user properties

### Constructor Summary

Constructors
Constructor and Description
`PDUserAttributeObject()` Default constructor
`PDUserAttributeObject(COSDictionary dictionary)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addUserProperty(PDUserProperty userProperty)` Adds a user property.
`List<PDUserProperty>` `getOwnerUserProperties()` Returns the user properties.
`void` `removeUserProperty(PDUserProperty userProperty)` Removes a user property.
`void` `setUserProperties(List<PDUserProperty> userProperties)` Sets the user properties.
`String` `toString()`
`void` `userPropertyChanged(PDUserProperty userProperty)` Notify a possible change of user properties.

### Methods inherited from class org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure.PDAttributeObject

`arrayToString, arrayToString, create, getOwner, isEmpty, notifyChanged, potentiallyNotifyChanged, setOwner, setStructureElement`

### Methods inherited from class org.apache.pdfbox.pdmodel.common.PDDictionaryWrapper

`equals, getCOSObject, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### OWNER_USER_PROPERTIES

    public static final String OWNER_USER_PROPERTIES

Attribute owner for user properties

See Also:
  Constant Field Values

### Constructor Detail

#### PDUserAttributeObject

    public PDUserAttributeObject()

Default constructor

#### PDUserAttributeObject

    public PDUserAttributeObject(COSDictionary dictionary)

Constructor

Parameters:
  `dictionary` - the dictionary

### Method Detail

#### getOwnerUserProperties

    public List<PDUserProperty> getOwnerUserProperties()

Returns the user properties.

Returns:
  the user properties

#### setUserProperties

    public void setUserProperties(List<PDUserProperty> userProperties)

Sets the user properties.

Parameters:
  `userProperties` - the user properties

#### addUserProperty

    public void addUserProperty(PDUserProperty userProperty)

Adds a user property.

Parameters:
  `userProperty` - the user property

#### removeUserProperty

    public void removeUserProperty(PDUserProperty userProperty)

Removes a user property.

Parameters:
  `userProperty` - the user property

#### userPropertyChanged

    public void userPropertyChanged(PDUserProperty userProperty)

Notify a possible change of user properties.

Parameters:
  `userProperty` - the user property which might have be changed

#### toString

    public String toString()

Overrides:
  `toString` in class `PDAttributeObject`